Skip to content

Create feature

POST
/api/v1/prompt-features
curl --request POST \
--url 'https://example.com/api/v1/prompt-features?projectId=00000000-0000-0000-0000-000000000000' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "prompt": "example", "type": "select" }'
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Media type application/json
object
id
required
string
/^[a-z][a-z0-9_]*$/
prompt
required
string
type
string
Allowed values: select build test run deploy agents.md

Success

Media type application/json
object
id
required
string
prompt
required
string
type
string
Allowed values: select build test run deploy agents.md
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Example
{
"type": "select"
}

Invalid input

Feature already exists